Categories:
  - System
License: GPL-3.0-or-later
WebSite: http://projectmaxs.org/homepage
SourceCode: https://bitbucket.org/projectmaxs/maxs
Bitcoin: bc1qu482c0tngkcvx3q7mrm8zmuldrh2f2lrh26ym0

AutoName: MAXS Module SmsWrite
Description: |-
    This is a Module for MAXS, which does not install any launcher. You need "MAXS
    Main" and a configured MAXS Transport to make use of it.

    The SmsWrite module can be used to modify the system's SMS database, e.g. add
    new messages to it. The main purpose is to add messages send by module-smssend,
    to the outbox. It can optionally make use of the ContactsRead module, if
    installed.

RepoType: srclib
Repo: ProjectMAXS

Builds:
  - versionName: 0.0.1.0
    versionCode: 1
    commit: 0.0.1.0
    subdir: module-smswrite
    init:
      - cd ..
      - make module-smswrite/Makefile
    prebuild: make prebuild

  - versionName: 0.0.1.1
    versionCode: 2
    commit: 0.0.1.1
    subdir: module-smswrite
    init:
      - cd ..
      - make module-smswrite/Makefile
    prebuild: make prebuild

  - versionName: 0.0.1.2
    versionCode: 3
    commit: 0.0.1.2
    subdir: module-smswrite
    init:
      - cd ..
      - make module-smswrite/Makefile
    prebuild: make prebuild

  - versionName: 0.0.1.3
    versionCode: 4
    commit: 0.0.1.3
    subdir: module-smswrite
    init:
      - cd ..
      - make module-smswrite/Makefile
    prebuild: make prebuild

  - versionName: 0.0.1.4
    versionCode: 5
    disable: build tools failure as per <a href="https://bitbucket.org/projectmaxs/maxs/commits/7750c9add95016294c5be9afd84a8de4834f7f20">https://bitbucket.org/projectmaxs/maxs/commits/7750c9add95016294c5be9afd84a8de4834f7f20</a>
    commit: 0.0.1.4
    subdir: module-smswrite
    init:
      - cd ..
      - make module-smswrite/Makefile
    prebuild: make prebuild

  - versionName: 0.0.1.5
    versionCode: 6
    commit: 0.0.1.5
    subdir: module-smswrite
    init:
      - cd ..
      - make module-smswrite/Makefile
    prebuild: make prebuild

  - versionName: 0.0.1.6
    versionCode: 7
    commit: 0.0.1.6
    subdir: module-smswrite
    init:
      - cd ..
      - make module-smswrite/Makefile
    prebuild: make prebuild

  - versionName: 0.0.1.7
    versionCode: 8
    commit: 0.0.1.7
    subdir: module-smswrite
    init:
      - cd ..
      - make module-smswrite/Makefile
    prebuild: make prebuild

  - versionName: 0.0.1.8
    versionCode: 9
    commit: 0.0.1.8
    subdir: module-smswrite
    init:
      - cd ..
      - make module-smswrite/Makefile
    prebuild: make prebuild

  - versionName: 0.0.1.9
    versionCode: 10
    commit: 0.0.1.9
    subdir: module-smswrite
    init:
      - cd ..
      - make module-smswrite/Makefile
    prebuild: make prebuild

  - versionName: 0.0.1.10
    versionCode: 11
    commit: 0.0.1.10
    subdir: module-smswrite
    init:
      - cd ..
      - make module-smswrite/Makefile
    prebuild: make prebuild

  - versionName: 0.0.1.11
    versionCode: 12
    commit: 0.0.1.11
    subdir: module-smswrite
    init:
      - cd ..
      - make module-smswrite/Makefile
    prebuild: make prebuild

  - versionName: 0.0.1.12
    versionCode: 13
    commit: 0.0.1.12
    subdir: module-smswrite
    init:
      - cd ..
      - make module-smswrite/Makefile
    prebuild: make prebuild

  - versionName: 0.0.1.13
    versionCode: 14
    commit: 0.0.1.13
    subdir: module-smswrite
    init:
      - cd ..
      - make module-smswrite/Makefile
    prebuild: make prebuild

  - versionName: 0.0.1.14
    versionCode: 15
    commit: 0.0.1.14
    subdir: module-smswrite
    init:
      - cd ..
      - make module-smswrite/Makefile
    prebuild: make prebuild

  - versionName: 0.0.1.15
    versionCode: 16
    commit: 0.0.1.15
    subdir: module-smswrite
    init:
      - cd ..
      - make module-smswrite/Makefile
    prebuild: make prebuild

  - versionName: 0.0.1.16
    versionCode: 18
    commit: 0.0.1.16
    subdir: module-smswrite
    init:
      - cd ..
      - make module-smswrite/Makefile
    prebuild: make prebuild

  - versionName: 0.0.1.17
    versionCode: 20
    commit: 0.0.1.17
    subdir: module-smswrite
    init:
      - cd ..
      - make module-smswrite/Makefile
    prebuild: make prebuild

  - versionName: 0.0.1.18
    versionCode: 22
    commit: 0.0.1.18
    subdir: module-smswrite
    init:
      - cd ..
      - make module-smswrite/Makefile
    prebuild: make prebuild

  - versionName: 0.0.1.19
    versionCode: 24
    commit: 0.0.1.19
    subdir: module-smswrite
    submodules: true
    init:
      - cd ..
      - make module-smswrite/Makefile
    prebuild:
      - make prebuild
      - rm -rf ../module-shell/libraryProjects/root-commands/ExampleApp

  - versionName: 0.0.1.20
    versionCode: 26
    commit: 0.0.1.20
    subdir: module-smswrite
    submodules: true
    init:
      - cd ..
      - make module-smswrite/Makefile
    prebuild:
      - make prebuild
      - rm -rf ../module-shell/libraryProjects/root-commands/ExampleApp

  - versionName: 0.0.1.21
    versionCode: 28
    commit: 0.0.1.21
    subdir: module-smswrite
    submodules: true
    init:
      - cd ..
      - make module-smswrite/Makefile
    prebuild:
      - make prebuild
      - rm -rf ../module-shell/libraryProjects/root-commands/ExampleApp

  - versionName: 0.0.1.22
    versionCode: 1463946808
    commit: 0.0.1.22
    subdir: module-smswrite
    submodules: true
    init:
      - cd ..
      - make module-smswrite/Makefile
    prebuild:
      - make prebuild
      - rm -rf ../module-shell/libraryProjects/root-commands/ExampleApp

  - versionName: 0.1.0
    versionCode: 2000100151
    commit: 0.1.0
    subdir: module-smswrite
    submodules: true
    init:
      - cd ..
      - make module-smswrite/Makefile
    prebuild:
      - make prebuild
      - rm -rf ../module-shell/libraryProjects/root-commands/ExampleApp

  - versionName: 0.2.1
    versionCode: 2000200549
    commit: 0.2.1
    subdir: module-smswrite
    submodules: true
    init:
      - cd ..
      - make module-smswrite/Makefile
    prebuild:
      - make prebuild
      - rm -rf ../module-shell/libraryProjects/root-commands/ExampleApp

  - versionName: 0.3.0
    versionCode: 2000300550
    commit: 0.3.0
    subdir: module-smswrite
    submodules: true
    init:
      - cd ..
      - make module-smswrite/Makefile
    prebuild:
      - make prebuild
      - rm -rf ../module-shell/libraryProjects/root-commands/ExampleApp

  - versionName: 0.4.0
    versionCode: 2000400598
    commit: 0.4.0
    subdir: module-smswrite
    submodules: true
    init:
      - cd ..
      - make module-smswrite/Makefile
    prebuild:
      - make prebuild
      - rm -rf ../module-shell/libraryProjects/root-commands/ExampleApp

  - versionName: 0.5.0
    versionCode: 2000500702
    commit: 0.5.0
    subdir: module-smswrite
    submodules: true
    init:
      - cd ..
      - make module-smswrite/Makefile
    prebuild:
      - make prebuild
      - rm -rf ../module-shell/libraryProjects/root-commands/ExampleApp

  - versionName: 0.5.2
    versionCode: 2000501421
    commit: 0.5.2
    subdir: module-smswrite
    submodules: true
    init:
      - cd ..
      - make module-smswrite/Makefile
    prebuild:
      - make prebuild
      - rm -rf ../module-shell/libraryProjects/root-commands/ExampleApp

  - versionName: 0.5.3
    versionCode: 2000501435
    commit: 0.5.3
    subdir: module-smswrite
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y python-gnupg libxml2-utils
    init:
      - cd ..
      - make module-smswrite/Makefile
    prebuild:
      - make prebuild
      - rm -rf ../module-shell/libraryProjects/root-commands/ExampleApp

  - versionName: 0.5.4
    versionCode: 2000501489
    disable: doesn't build
    commit: 0.5.4
    subdir: module-smswrite
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y python-gnupg libxml2-utils
    init:
      - cd ..
      - make module-smswrite/Makefile
    prebuild:
      - make prebuild
      - rm -rf ../module-shell/libraryProjects/root-commands/ExampleApp

  - versionName: 0.5.5
    versionCode: 2000501511
    commit: 0.5.5
    subdir: module-smswrite
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y python-gnupg libxml2-utils
    init:
      - cd ..
      - make module-smswrite/Makefile
    prebuild:
      - make prebuild
      - rm -rf ../module-shell/libraryProjects/root-commands/ExampleApp

  - versionName: 0.5.7
    versionCode: 2000502493
    commit: 2a64a6128f219fb07124a52c3ac6160691978873
    subdir: module-smswrite
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y imagemagick libxml2-utils
    init: make -C .. module-smswrite/Makefile
    gradle:
      - yes
    rm:
      - module-shell/libraryProjects/root-commands/ExampleApp
    prebuild: make prebuild

  - versionName: 0.5.8
    versionCode: 2000502507
    commit: 0.5.8
    subdir: module-smswrite
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y imagemagick libxml2-utils
    init: make -C .. module-smswrite/Makefile
    gradle:
      - yes
    rm:
      - module-shell/libraryProjects/root-commands/ExampleApp
    prebuild: make prebuild

  - versionName: 0.5.9
    versionCode: 2000503279
    commit: 0.5.9
    subdir: module-smswrite
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y imagemagick libxml2-utils
    init: make -C .. module-smswrite/Makefile
    gradle:
      - yes
    rm:
      - module-shell/libraryProjects/root-commands/ExampleApp
    prebuild: make prebuild

  - versionName: 0.5.10
    versionCode: 2000503375
    commit: 0.5.10
    subdir: module-smswrite
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y imagemagick libxml2-utils
    init: make -C .. module-smswrite/Makefile
    gradle:
      - yes
    rm:
      - module-shell/libraryProjects/root-commands/ExampleApp
    prebuild: make prebuild

  - versionName: 0.5.12
    versionCode: 2000503575
    commit: 0.5.12
    subdir: module-smswrite
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y imagemagick libxml2-utils
    init: make -C .. module-smswrite/Makefile
    gradle:
      - yes
    rm:
      - module-shell/libraryProjects/root-commands/ExampleApp
    prebuild: make prebuild

  - versionName: 0.5.13
    versionCode: 2000503857
    commit: 0.5.13
    subdir: module-smswrite
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y imagemagick libxml2-utils
    init: make -C .. module-smswrite/Makefile
    gradle:
      - yes
    rm:
      - module-shell/libraryProjects/root-commands/ExampleApp
    prebuild: make prebuild

  - versionName: 0.5.14
    versionCode: 2000503969
    commit: 0.5.14
    subdir: module-smswrite
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y imagemagick libxml2-utils
    init: make -C .. module-smswrite/Makefile
    gradle:
      - yes
    rm:
      - module-shell/libraryProjects/root-commands/ExampleApp
    prebuild: make prebuild

  - versionName: 0.5.15
    versionCode: 2000504565
    commit: 300de281722bf025b2bc2c954e5b644964ae70ba
    subdir: module-smswrite
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y imagemagick libxml2-utils
    init: make -C .. module-smswrite/Makefile
    gradle:
      - yes
    rm:
      - module-shell/libraryProjects/root-commands/ExampleApp
    prebuild: make prebuild

  - versionName: 0.5.16
    versionCode: 2000504621
    commit: dff9af166cb33741f0dbcd2255227246041186c3
    subdir: module-smswrite
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y imagemagick libxml2-utils
      - apt-get install openjdk-11-jdk-headless
      - update-alternatives --auto java
    init: make -C .. module-smswrite/Makefile
    gradle:
      - yes
    rm:
      - module-shell/libraryProjects/root-commands/ExampleApp
    prebuild: make prebuild

AutoUpdateMode: Version %v
UpdateCheckMode: Tags .*[0-9]$
CurrentVersion: 0.5.16
CurrentVersionCode: 2000504621
